/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "OGRE-Next", "index.html", [
    [ "API Reference Start Page", "index.html", "index" ],
    [ "Setting Up Ogre", "md__setting_up_ogre_2_setting_up_ogre.html", null ],
    [ "Android", "md__setting_up_ogre_2_setting_up_ogre_android.html", [
      [ "Requirements", "md__setting_up_ogre_2_setting_up_ogre_android.html#RequirementsAndroid", null ],
      [ "Downloading and building Ogre", "md__setting_up_ogre_2_setting_up_ogre_android.html#DownloadingOgreAndroid", null ],
      [ "Building Samples", "md__setting_up_ogre_2_setting_up_ogre_android.html#BuildingSamplesAndroid", null ]
    ] ],
    [ "Linux", "md__setting_up_ogre_2_setting_up_ogre_linux.html", [
      [ "Requirements", "md__setting_up_ogre_2_setting_up_ogre_linux.html#RequirementsLinux", null ],
      [ "Downloading Ogre", "md__setting_up_ogre_2_setting_up_ogre_linux.html#DownloadingOgreLinux", null ],
      [ "Building Dependencies", "md__setting_up_ogre_2_setting_up_ogre_linux.html#BuildingDependenciesLinux", null ],
      [ "Building Ogre", "md__setting_up_ogre_2_setting_up_ogre_linux.html#BuildingOgreLinux", null ],
      [ "Setting Up Ogre with QtCreator", "md__setting_up_ogre_2_setting_up_ogre_linux.html#SettingUpOgreWithQtCreatorLinux", null ]
    ] ],
    [ "Windows", "md__setting_up_ogre_2_setting_up_ogre_windows.html", [
      [ "Requirements", "md__setting_up_ogre_2_setting_up_ogre_windows.html#RequirementsWindows", null ],
      [ "Downloading Ogre", "md__setting_up_ogre_2_setting_up_ogre_windows.html#DownloadingOgreWindows", null ],
      [ "Building Dependencies", "md__setting_up_ogre_2_setting_up_ogre_windows.html#BuildingDependenciesWindows", null ],
      [ "Building Ogre", "md__setting_up_ogre_2_setting_up_ogre_windows.html#BuildingOgreWindows", null ]
    ] ],
    [ "iOS", "md__setting_up_ogre_2_setting_up_ogre__i_o_s.html", [
      [ "Requirements", "md__setting_up_ogre_2_setting_up_ogre__i_o_s.html#Requirements_iOS", null ],
      [ "Downloading Ogre", "md__setting_up_ogre_2_setting_up_ogre__i_o_s.html#DownloadingOgre_iOS", null ],
      [ "Building Ogre", "md__setting_up_ogre_2_setting_up_ogre__i_o_s.html#BuildingOgre_iOS", null ]
    ] ],
    [ "macOS", "md__setting_up_ogre_2_setting_up_ogre__mac_o_s.html", [
      [ "Install cmake", "md__setting_up_ogre_2_setting_up_ogre__mac_o_s.html#autotoc_md10", null ],
      [ "Install dependencies", "md__setting_up_ogre_2_setting_up_ogre__mac_o_s.html#autotoc_md11", [
        [ "Install SDL2 using brew", "md__setting_up_ogre_2_setting_up_ogre__mac_o_s.html#autotoc_md12", null ]
      ] ],
      [ "Build Ogre", "md__setting_up_ogre_2_setting_up_ogre__mac_o_s.html#autotoc_md13", null ],
      [ "Build offline version of the docs", "md__setting_up_ogre_2_setting_up_ogre__mac_o_s.html#autotoc_md14", null ]
    ] ],
    [ "Using Ogre in your App", "md__using_ogre_2_using_ogre_in_your_app.html", [
      [ "Overview", "md__using_ogre_2_using_ogre_in_your_app.html#UsingOgreInYourAppOverview", null ],
      [ "Speeding things up", "md__using_ogre_2_using_ogre_in_your_app.html#SpeedingThingsUp", [
        [ "Small note about iOS", "md__using_ogre_2_using_ogre_in_your_app.html#SmallNoteAbout_iOS", null ],
        [ "Apple specific", "md__using_ogre_2_using_ogre_in_your_app.html#autotoc_md15", null ],
        [ "Creating your application with 'EmptyProject' script", "md__using_ogre_2_using_ogre_in_your_app.html#CreatingYourApplication", [
          [ "A note about copied files from Samples/2.0/Common", "md__using_ogre_2_using_ogre_in_your_app.html#AnoteaboutcopiedfilesfromSamples_20_Common", null ]
        ] ],
        [ "Supporting Multithreading loops from the get go", "md__using_ogre_2_using_ogre_in_your_app.html#SupportingMultithreadingLoopsFromTheGetGo", null ]
      ] ]
    ] ],
    [ "Behavior of StagingTexture in D3D11", "md_manual_2_behavior_of_staging_textures_d3_d11.html", [
      [ "Attempting to be contiguous", "md_manual_2_behavior_of_staging_textures_d3_d11.html#autotoc_md16", null ],
      [ "Slicing in 3", "md_manual_2_behavior_of_staging_textures_d3_d11.html#autotoc_md17", null ],
      [ "Slicing in the middle", "md_manual_2_behavior_of_staging_textures_d3_d11.html#autotoc_md18", null ]
    ] ],
    [ "Global Illumination Methods", "md_manual_2_gi_methods.html", [
      [ "Ambient Lighting", "md_manual_2_gi_methods.html#GiAmbientLighting", [
        [ "Flat", "md_manual_2_gi_methods.html#GiAmbientLightingFlat", null ],
        [ "Hemisphere", "md_manual_2_gi_methods.html#GiAmbientLightingHemisphere", null ],
        [ "Spherical Harmonics", "md_manual_2_gi_methods.html#GiAmbientLightingSH", null ]
      ] ],
      [ "Parallax Corrected Cubemaps (PCC)", "md_manual_2_gi_methods.html#GiPCC", [
        [ "Auto PCC", "md_manual_2_gi_methods.html#GiPCCAuto", null ],
        [ "Manual PCC", "md_manual_2_gi_methods.html#GiPCCManual", null ]
      ] ],
      [ "Per Pixel PCC", "md_manual_2_gi_methods.html#GiPPPCC", [
        [ "PCC Per Pixel Grid Placement", "md_manual_2_gi_methods.html#GiPPGridPlacement", null ]
      ] ],
      [ "Instant Radiosity", "md_manual_2_gi_methods.html#GiInstantRadiosity", null ],
      [ "Irradiance Volume", "md_manual_2_gi_methods.html#GiIrradianceVolume", null ],
      [ "Voxel Cone Tracing (aka VCT)", "md_manual_2_gi_methods.html#GiVCT", [
        [ "VCT + Per Pixel PCC Hybrid", "md_manual_2_gi_methods.html#GiVCTPlusPPPCC", null ]
      ] ],
      [ "Irradiance Field with Depth (IFD)", "md_manual_2_gi_methods.html#GiIFD", null ],
      [ "Cascaded Image Voxel Cone Tracing (CIVCT)", "md_manual_2_gi_methods.html#GiCIVCT", null ],
      [ "What technique should I choose?", "md_manual_2_gi_methods.html#GiWhatTechniqueChoose", null ]
    ] ],
    [ "Reference Guide: HLMS Blendblock", "md_manual_2_hlms_blendblock_reference.html", [
      [ "Parameters:", "md_manual_2_hlms_blendblock_reference.html#bbParameters", [
        [ "Parameter: alpha_to_coverage", "md_manual_2_hlms_blendblock_reference.html#bbParamAlphaToCoverage", null ],
        [ "Parameter: blendmask", "md_manual_2_hlms_blendblock_reference.html#bbParamBlendmask", null ],
        [ "Parameter: separate_blend", "md_manual_2_hlms_blendblock_reference.html#bbParamSeperateBlend", null ],
        [ "Parameter: src_blend_factor", "md_manual_2_hlms_blendblock_reference.html#bbParamSorceBlendFactor", null ],
        [ "Parameter: dst_blend_factor", "md_manual_2_hlms_blendblock_reference.html#bbParamDestBlendFactor", null ],
        [ "Parameter: src_alpha_blend_factor", "md_manual_2_hlms_blendblock_reference.html#bbParamSourceAlphaBlendFactor", null ],
        [ "Parameter: dst_alpha_blend_factor", "md_manual_2_hlms_blendblock_reference.html#bbParamDestinationAlphaBlendFactor", null ],
        [ "Parameter: blend_operation", "md_manual_2_hlms_blendblock_reference.html#bbParamBlendOperation", null ],
        [ "Parameter: blend_operation_alpha", "md_manual_2_hlms_blendblock_reference.html#bbParamBlendOperationAlpha", null ]
      ] ],
      [ "Example Blendblock Definition:", "md_manual_2_hlms_blendblock_reference.html#bbExample", null ],
      [ "Scene blend type settings:", "md_manual_2_hlms_blendblock_reference.html#bbBlendtypes", [
        [ "Type: Transparent Alpha", "md_manual_2_hlms_blendblock_reference.html#btTransparentAlpha", null ],
        [ "Type: Transparent Colour", "md_manual_2_hlms_blendblock_reference.html#btTransparentColour", null ],
        [ "Type: Add", "md_manual_2_hlms_blendblock_reference.html#btAdd", null ],
        [ "Type: Modulate", "md_manual_2_hlms_blendblock_reference.html#btModulate", null ],
        [ "Type: Replace", "md_manual_2_hlms_blendblock_reference.html#btReplace", null ]
      ] ],
      [ "Links", "md_manual_2_hlms_blendblock_reference.html#bbLinks", null ]
    ] ],
    [ "Reference Guide: HLMS Macroblock", "md_manual_2_hlms_macroblock_reference.html", [
      [ "Parameters:", "md_manual_2_hlms_macroblock_reference.html#mbParameters", [
        [ "Parameter: scissor_test", "md_manual_2_hlms_macroblock_reference.html#mbParamScissorText", null ],
        [ "Parameter: depth_check", "md_manual_2_hlms_macroblock_reference.html#mbParamDepthCheck", null ],
        [ "Parameter: depth_write", "md_manual_2_hlms_macroblock_reference.html#mbParamDepthWrite", null ],
        [ "Parameter: depth_function", "md_manual_2_hlms_macroblock_reference.html#mbParamDepthFunction", null ],
        [ "Parameter: depth_bias_constant", "md_manual_2_hlms_macroblock_reference.html#mbParamDepthBiasConstant", null ],
        [ "Parameter: depth_bias_slope_scale", "md_manual_2_hlms_macroblock_reference.html#mbParamDepthBiasSlopeScale", null ],
        [ "Parameter: cull_mode", "md_manual_2_hlms_macroblock_reference.html#mbParamCullMode", null ],
        [ "Parameter: polygon_mode", "md_manual_2_hlms_macroblock_reference.html#mbParamPolygonMode", null ]
      ] ],
      [ "Example Macroblock Definition:", "md_manual_2_hlms_macroblock_reference.html#mbExample", null ],
      [ "Links", "md_manual_2_hlms_macroblock_reference.html#mbLinks", null ]
    ] ],
    [ "Reference Guide: HLMS PBS Datablock", "md_manual_2_hlms_p_b_s_datablock_reference.html", [
      [ "Common Datablock Parameters:", "md_manual_2_hlms_p_b_s_datablock_reference.html#dbCommonParameters", [
        [ "Parameter: alpha_test", "md_manual_2_hlms_p_b_s_datablock_reference.html#dbParamAlphaTest", null ],
        [ "Parameter: blendblock", "md_manual_2_hlms_p_b_s_datablock_reference.html#dbParamBlendBlock", null ],
        [ "Parameter: macroblock", "md_manual_2_hlms_p_b_s_datablock_reference.html#dbParamMacroBlock", null ],
        [ "Parameter: shadow_const_bias", "md_manual_2_hlms_p_b_s_datablock_reference.html#dbParamShadowConstBias", null ]
      ] ],
      [ "PBS Datablock Parameters", "md_manual_2_hlms_p_b_s_datablock_reference.html#dbPBSParameters", [
        [ "Parameter: brdf", "md_manual_2_hlms_p_b_s_datablock_reference.html#dbParamBRDF", null ],
        [ "Parameter: refraction_strength", "md_manual_2_hlms_p_b_s_datablock_reference.html#autotoc_md27", null ],
        [ "Parameter: detail_diffuse[X]", "md_manual_2_hlms_p_b_s_datablock_reference.html#dbParamDetailDiffuse", null ],
        [ "Parameter: detail_normal[X]", "md_manual_2_hlms_p_b_s_datablock_reference.html#dbParamDetailNormal", null ],
        [ "Parameter: detail_weight", "md_manual_2_hlms_p_b_s_datablock_reference.html#dbParamDetailWeight", null ],
        [ "Parameter: diffuse", "md_manual_2_hlms_p_b_s_datablock_reference.html#dbParamDiffuse", null ],
        [ "Parameter: emissive", "md_manual_2_hlms_p_b_s_datablock_reference.html#dbParamEmissive", null ],
        [ "Parameter: fresnel", "md_manual_2_hlms_p_b_s_datablock_reference.html#dbParamFresnel", null ],
        [ "Parameter: metalness", "md_manual_2_hlms_p_b_s_datablock_reference.html#dbParamMetalness", null ],
        [ "Parameter: normal", "md_manual_2_hlms_p_b_s_datablock_reference.html#dbParamNormal", null ],
        [ "Parameter: receive_shadows", "md_manual_2_hlms_p_b_s_datablock_reference.html#dbParamReceiveShadows", null ],
        [ "Parameter: reflection", "md_manual_2_hlms_p_b_s_datablock_reference.html#dbParamReflection", null ],
        [ "Parameter: roughness", "md_manual_2_hlms_p_b_s_datablock_reference.html#dbParamRoughness", null ],
        [ "Parameter: specular", "md_manual_2_hlms_p_b_s_datablock_reference.html#dbParamSpecular", null ],
        [ "Parameter: transparency", "md_manual_2_hlms_p_b_s_datablock_reference.html#dbParamTransparency", null ],
        [ "Parameter: two_sided", "md_manual_2_hlms_p_b_s_datablock_reference.html#dbParamTwoSided", null ],
        [ "Parameter: workflow", "md_manual_2_hlms_p_b_s_datablock_reference.html#dbParamWorkflow", null ]
      ] ],
      [ "Example PBS Datablock Definition:", "md_manual_2_hlms_p_b_s_datablock_reference.html#dbExample", null ]
    ] ],
    [ "Reference Guide: HLMS Samplerblock", "md_manual_2_hlms_sampler_reference.html", [
      [ "Parameters:", "md_manual_2_hlms_sampler_reference.html#sbParameters", [
        [ "Parameter: min", "md_manual_2_hlms_sampler_reference.html#sbParamMin", null ],
        [ "Parameter: mag", "md_manual_2_hlms_sampler_reference.html#sbParamMag", null ],
        [ "Parameter: mip", "md_manual_2_hlms_sampler_reference.html#sbParamMip", null ],
        [ "Parameter: u", "md_manual_2_hlms_sampler_reference.html#sbParamU", null ],
        [ "Parameter: v", "md_manual_2_hlms_sampler_reference.html#sbParamV", null ],
        [ "Parameter: w", "md_manual_2_hlms_sampler_reference.html#sbParamW", null ],
        [ "Parameter: miplodbias", "md_manual_2_hlms_sampler_reference.html#sbParamMiplodbias", null ],
        [ "Parameter: max_anisotropic", "md_manual_2_hlms_sampler_reference.html#sbParamMaxAnisotropic", null ],
        [ "Parameter: compare_function", "md_manual_2_hlms_sampler_reference.html#sbParamComparefunction", null ],
        [ "Parameter: border", "md_manual_2_hlms_sampler_reference.html#sbParamBorder", null ],
        [ "Parameter: min_lod", "md_manual_2_hlms_sampler_reference.html#sbParamMinlod", null ],
        [ "Parameter: max_lod", "md_manual_2_hlms_sampler_reference.html#sbParamMaxlod", null ]
      ] ],
      [ "Example Samplerblock Definition:", "md_manual_2_hlms_sampler_reference.html#sbExample", null ],
      [ "Links", "md_manual_2_hlms_sampler_reference.html#sbLinks", null ]
    ] ],
    [ "Reference Guide: HLMS Terra Datablock", "md_manual_2_hlms_terra_datablock_reference.html", [
      [ "Common Datablock Parameters:", "md_manual_2_hlms_terra_datablock_reference.html#dbtCommonParameters", null ],
      [ "Terra Datablock Parameters", "md_manual_2_hlms_terra_datablock_reference.html#dbtTerraParameters", [
        [ "Parameter: brdf", "md_manual_2_hlms_terra_datablock_reference.html#dbtParamBRDF", null ],
        [ "Parameter: detail[X]", "md_manual_2_hlms_terra_datablock_reference.html#dbtParamDetailDiffuse", null ],
        [ "Parameter: detail_weight", "md_manual_2_hlms_terra_datablock_reference.html#dbtParamDetailWeight", null ],
        [ "Parameter: diffuse", "md_manual_2_hlms_terra_datablock_reference.html#dbtParamDiffuse", null ],
        [ "Parameter: reflection", "md_manual_2_hlms_terra_datablock_reference.html#dbtParamReflection", null ]
      ] ],
      [ "Example Terra Datablock Definition:", "md_manual_2_hlms_terra_datablock_reference.html#dbtExample", null ]
    ] ],
    [ "Reference Guide: HLMS Unlit Datablock", "md_manual_2_hlms_unlit_datablock_reference.html", [
      [ "Common Datablock Parameters:", "md_manual_2_hlms_unlit_datablock_reference.html#dbulCommonParameters", null ],
      [ "Unlit Datablock Parameters", "md_manual_2_hlms_unlit_datablock_reference.html#dbulUnlitParameters", [
        [ "Parameter: diffuse", "md_manual_2_hlms_unlit_datablock_reference.html#dbulParamDiffuse", null ],
        [ "Parameter: diffuse_map[X]", "md_manual_2_hlms_unlit_datablock_reference.html#dbulParamDetailNormal", null ]
      ] ],
      [ "Example Unlit Datablock Definition:", "md_manual_2_hlms_unlit_datablock_reference.html#dbulExample", null ]
    ] ],
    [ "Image Voxel Cone Tracing", "md_manual_2_ivct_algorithm.html", [
      [ "Step 1: Image Voxelizer", "md_manual_2_ivct_algorithm.html#IVCT_Step1", [
        [ "Downside", "md_manual_2_ivct_algorithm.html#IVCT_Step1_Downside", [
          [ "Non-researched solutions:", "md_manual_2_ivct_algorithm.html#autotoc_md28", null ]
        ] ],
        [ "Trivia", "md_manual_2_ivct_algorithm.html#autotoc_md29", null ]
      ] ],
      [ "Step 2: Row Translation", "md_manual_2_ivct_algorithm.html#IVCT_Step2", null ],
      [ "Step 3: Cascades", "md_manual_2_ivct_algorithm.html#IVCT_Step3", null ],
      [ "Wait isn't this what UE5's Lumen does?", "md_manual_2_ivct_algorithm.html#autotoc_md30", null ],
      [ "Wait isn't this what Godot does?", "md_manual_2_ivct_algorithm.html#autotoc_md31", null ]
    ] ],
    [ "Tunning memory consumption and resources", "md_manual_2_memory_resources.html", [
      [ "Grouping textures by type", "md_manual_2_memory_resources.html#GroupingTexturesByType", null ],
      [ "Dynamic vs Default buffers", "md_manual_2_memory_resources.html#DynamicVsDefaultBuffers", null ],
      [ "Tweaking default memory consumption by VaoManager", "md_manual_2_memory_resources.html#TweakingVaoManager", [
        [ "Vulkan and <tt>TEXTURES_OPTIMAL</tt>", "md_manual_2_memory_resources.html#autotoc_md32", null ]
      ] ]
    ] ],
    [ "What's new in Ogre 2.2", "md_manual_2_ogre2_82_8_changes.html", [
      [ "Load Store semantics", "md_manual_2_ogre2_82_8_changes.html#autotoc_md33", [
        [ "Now that we’ve explained how TBDRs work, we can explain load and store actions", "md_manual_2_ogre2_82_8_changes.html#autotoc_md34", null ]
      ] ],
      [ "More control over MSAA", "md_manual_2_ogre2_82_8_changes.html#autotoc_md35", null ],
      [ "Porting to Ogre 2.2 from 2.1", "md_manual_2_ogre2_82_8_changes.html#autotoc_md36", [
        [ "PixelFormats", "md_manual_2_ogre2_82_8_changes.html#autotoc_md37", [
          [ "Common pixel format equivalencies", "md_manual_2_ogre2_82_8_changes.html#autotoc_md38", null ]
        ] ],
        [ "Useful code snippets", "md_manual_2_ogre2_82_8_changes.html#autotoc_md39", [
          [ "Create a TextureGpu based on a file", "md_manual_2_ogre2_82_8_changes.html#autotoc_md40", null ],
          [ "Create a TextureGpu based that you manually fill", "md_manual_2_ogre2_82_8_changes.html#autotoc_md41", null ],
          [ "Uploading data to a TextureGpu", "md_manual_2_ogre2_82_8_changes.html#autotoc_md42", null ],
          [ "Upload streaming", "md_manual_2_ogre2_82_8_changes.html#autotoc_md43", null ],
          [ "Downloading data from TextureGpu into CPU", "md_manual_2_ogre2_82_8_changes.html#autotoc_md44", null ],
          [ "Downloading streaming", "md_manual_2_ogre2_82_8_changes.html#autotoc_md45", null ]
        ] ]
      ] ],
      [ "Difference between depth, numSlices and depthOrSlices", "md_manual_2_ogre2_82_8_changes.html#autotoc_md46", null ],
      [ "Memory layout of textures and images", "md_manual_2_ogre2_82_8_changes.html#autotoc_md47", null ],
      [ "Troubleshooting errors", "md_manual_2_ogre2_82_8_changes.html#autotoc_md48", null ],
      [ "RenderPassDescriptors", "md_manual_2_ogre2_82_8_changes.html#autotoc_md49", null ],
      [ "DescriptorSetTexture & co.", "md_manual_2_ogre2_82_8_changes.html#autotoc_md50", null ],
      [ "Does 2.2 interoperate well with the HLMS texture arrays?", "md_manual_2_ogre2_82_8_changes.html#autotoc_md51", null ],
      [ "Hlms porting", "md_manual_2_ogre2_82_8_changes.html#autotoc_md52", null ],
      [ "Things to watch out when porting", "md_manual_2_ogre2_82_8_changes.html#autotoc_md53", null ]
    ] ],
    [ "What's new in Ogre 2.3", "md_manual_2_ogre2_83_8_changes.html", [
      [ "Switch importV1 to createByImportingV1", "md_manual_2_ogre2_83_8_changes.html#autotoc_md54", null ],
      [ "Shadow's Normal Offset Bias", "md_manual_2_ogre2_83_8_changes.html#autotoc_md55", null ],
      [ "Unlit vertex and pixel shaders unified", "md_manual_2_ogre2_83_8_changes.html#autotoc_md56", null ],
      [ "Added HlmsMacroblock::mDepthClamp", "md_manual_2_ogre2_83_8_changes.html#autotoc_md57", null ],
      [ "Added shadow pancaking", "md_manual_2_ogre2_83_8_changes.html#autotoc_md58", null ],
      [ "PluginOptional", "md_manual_2_ogre2_83_8_changes.html#autotoc_md59", null ],
      [ "Other relevant information when porting", "md_manual_2_ogre2_83_8_changes.html#autotoc_md60", [
        [ "Do not call notifyDataIsReady more than needed", "md_manual_2_ogre2_83_8_changes.html#autotoc_md61", null ],
        [ "Global changes for Vulkan compatibility:", "md_manual_2_ogre2_83_8_changes.html#autotoc_md62", null ]
      ] ]
    ] ],
    [ "What's new in Ogre-Next 3.0", "md_manual_2_ogre3_80_8_changes.html", [
      [ "Ogre to OgreNext name migration", "md_manual_2_ogre3_80_8_changes.html#autotoc_md63", null ],
      [ "PBS Changes in 3.0", "md_manual_2_ogre3_80_8_changes.html#autotoc_md64", null ],
      [ "Hlms Shader piece changes", "md_manual_2_ogre3_80_8_changes.html#autotoc_md65", null ],
      [ "AbiCookie", "md_manual_2_ogre3_80_8_changes.html#autotoc_md66", null ],
      [ "Move to C++11 and general cleanup", "md_manual_2_ogre3_80_8_changes.html#autotoc_md67", null ]
    ] ],
    [ "PBR / PBS Changes in 3.0", "md_manual_2_pbs_changes30.html", [
      [ "Short version", "md_manual_2_pbs_changes30.html#autotoc_md68", null ],
      [ "Long version", "md_manual_2_pbs_changes30.html#autotoc_md69", [
        [ "Direct Lighting", "md_manual_2_pbs_changes30.html#autotoc_md70", [
          [ "Fresnel Diffuse is no longer considered", "md_manual_2_pbs_changes30.html#autotoc_md71", [
            [ "Raffaele's comments:", "md_manual_2_pbs_changes30.html#autotoc_md72", null ],
            [ "Default-enable to diffuse fresnel", "md_manual_2_pbs_changes30.html#autotoc_md73", null ]
          ] ],
          [ "Geometric Term change", "md_manual_2_pbs_changes30.html#autotoc_md74", null ],
          [ "Metalness change", "md_manual_2_pbs_changes30.html#autotoc_md75", null ]
        ] ],
        [ "IBL", "md_manual_2_pbs_changes30.html#autotoc_md76", [
          [ "IBL Diffuse", "md_manual_2_pbs_changes30.html#autotoc_md77", [
            [ "Multiplication by PI", "md_manual_2_pbs_changes30.html#autotoc_md78", null ]
          ] ],
          [ "IBL Specular", "md_manual_2_pbs_changes30.html#autotoc_md79", null ]
        ] ]
      ] ],
      [ "Hemisphere Ambient Lighting changes", "md_manual_2_pbs_changes30.html#autotoc_md80", null ]
    ] ],
    [ "Resolving Merge Conflicts in Ogre-Next 3.0", "md_manual_2_resolving_merge_conflicts_in3_80.html", [
      [ "Notes:", "md_manual_2_resolving_merge_conflicts_in3_80.html#autotoc_md81", null ],
      [ "Batch Script", "md_manual_2_resolving_merge_conflicts_in3_80.html#autotoc_md82", null ]
    ] ],
    [ "Root Layouts", "md_manual_2_root_layouts.html", [
      [ "Old APIs (i.e. D3D11 and GL)", "md_manual_2_root_layouts.html#RootLayoutsOldAPIs", null ],
      [ "New APIs and Root Layouts", "md_manual_2_root_layouts.html#RootLayoutsNewAPIs", null ],
      [ "Setting up root layouts", "md_manual_2_root_layouts.html#RootLayoutsSettingUp", [
        [ "Could you have used e.g. \"const_buffers\" : [0,7] instead of [4,7]?", "md_manual_2_root_layouts.html#autotoc_md83", null ]
      ] ],
      [ "Declaring Root Layouts in shaders", "md_manual_2_root_layouts.html#RootLayoutsDeclaringInShaders", null ],
      [ "Baked sets", "md_manual_2_root_layouts.html#RootLayoutsBakedSets", null ],
      [ "Prefab Root Layouts for low level materials", "md_manual_2_root_layouts.html#RootLayoutPrefabs", null ],
      [ "Arrays of Textures", "md_manual_2_root_layouts.html#RootLayoutsArraysOfTextures", [
        [ "C++", "md_manual_2_root_layouts.html#RootLayoutsAoTCpp", null ],
        [ "Inline shader declaration", "md_manual_2_root_layouts.html#RootLayoutsAoTInlineShader", null ],
        [ "Automatic", "md_manual_2_root_layouts.html#RootLayoutsAoTAuto", null ],
        [ "Making GLSL shaders compatible with both Vulkan and OpenGL", "md_manual_2_root_layouts.html#RootLayoutsGLSLForGLandVK", [
          [ "Example:", "md_manual_2_root_layouts.html#RootLayoutsGLSLForGLandVKExample", [
            [ "OpenGL", "md_manual_2_root_layouts.html#autotoc_md84", null ],
            [ "Vulkan", "md_manual_2_root_layouts.html#autotoc_md85", null ]
          ] ]
        ] ]
      ] ]
    ] ],
    [ "Ogre Next Samples (Feature demonstrations)", "md_manual_2_samples.html", [
      [ "Showcase: Forward3D", "md_manual_2_samples.html#forward3d", null ],
      [ "Showcase: HDR", "md_manual_2_samples.html#hdr", null ],
      [ "Showcase: HDR/SMAA", "md_manual_2_samples.html#hdrsmaa", null ],
      [ "Showcase: PBS Materials", "md_manual_2_samples.html#pbsmaterials", null ],
      [ "Showcase: Post Processing", "md_manual_2_samples.html#postprocessing", null ],
      [ "API Usage: Animation tag points", "md_manual_2_samples.html#animationtagpoints", null ],
      [ "API Usage: Area Light Approximation", "md_manual_2_samples.html#arealighapprox", null ],
      [ "API Usage: Custom Renderable", "md_manual_2_samples.html#customrenderable", null ],
      [ "API Usage: Decals", "md_manual_2_samples.html#decals", null ],
      [ "API Usage: Dynamic Geometry", "md_manual_2_samples.html#dynamicgeometry", null ],
      [ "API Usage: IES Photometric Profiles", "md_manual_2_samples.html#iesprofiles", null ],
      [ "API Usage: Shared Skeleton", "md_manual_2_samples.html#sharedskeleton", null ],
      [ "API Usage: Instanced Stereo", "md_manual_2_samples.html#instancedstero", null ],
      [ "API Usage: Instant Radiosity", "md_manual_2_samples.html#instantradiosity", null ],
      [ "API Usage: Local Reflections Using Parallax Corrected Cubemaps", "md_manual_2_samples.html#localcubemaps", null ],
      [ "API Usage: Local Reflections Using Parallax Corrected Cubemaps With Manual Probes", "md_manual_2_samples.html#localcubemapsmp", null ],
      [ "API Usage: Automatic LOD Generation", "md_manual_2_samples.html#autolod", null ],
      [ "API Usage: Morph Animations", "md_manual_2_samples.html#morphanimation", null ],
      [ "API Usage: Automatically Placed Parallax Corrected Cubemap Probes Via PccPerPixelGridPlacement", "md_manual_2_samples.html#autopcc", null ],
      [ "API Usage: Planar Reflections", "md_manual_2_samples.html#planarreflections", null ],
      [ "API Usage: Refractions", "md_manual_2_samples.html#refractions", null ],
      [ "API Usage: SceneFormat Export / Import Sample", "md_manual_2_samples.html#sceneformat", null ],
      [ "API Usage: Screen Space Reflections", "md_manual_2_samples.html#ssreflections", null ],
      [ "API Usage: Shadow Map Debugging", "md_manual_2_samples.html#shadowdebug", null ],
      [ "API Usage: Shadow Map From Code", "md_manual_2_samples.html#shadowfromcode", null ],
      [ "API Usage: Static Shadow Map", "md_manual_2_samples.html#staticshadowmap", null ],
      [ "API Usage: Stencil Test", "md_manual_2_samples.html#stenciltest", null ],
      [ "API Usage: Stereo Rendering", "md_manual_2_samples.html#stereorendering", null ],
      [ "API Usage: Updating Decals And Area Lights' Textures", "md_manual_2_samples.html#updatedecal", null ],
      [ "API Usage: Ogre V1 Interfaces", "md_manual_2_samples.html#v1interface", null ],
      [ "API Usage: Ogre Next Manual Object", "md_manual_2_samples.html#onmanualobject", null ],
      [ "API Usage: Ogre Next V2 Meshes", "md_manual_2_samples.html#v2Mesh", null ],
      [ "Tutorial: Tutorial 00 - Basic", "md_manual_2_samples.html#tutorial00", null ],
      [ "Tutorial: Tutorial 01 - Initialisation", "md_manual_2_samples.html#tutorial01", null ],
      [ "Tutorial: Tutorial 02 - Variable Framerate", "md_manual_2_samples.html#tutorial02", null ],
      [ "Tutorial: Tutorial 03 - Deterministic Loop", "md_manual_2_samples.html#tutorial03", null ],
      [ "Tutorial: Tutorial 04 - Interpolation Loop", "md_manual_2_samples.html#tutorial04", null ],
      [ "Tutorial: Tutorial 05 - Multithreading Basics", "md_manual_2_samples.html#tutorial05", null ],
      [ "Tutorial: Tutorial 06 - Multithreading", "md_manual_2_samples.html#tutorial06", null ],
      [ "Tutorial: Compute 01 - UAV Textures", "md_manual_2_samples.html#compute01", null ],
      [ "Tutorial: Compute 02 - UAV Buffers", "md_manual_2_samples.html#compute02", null ],
      [ "Tutorial: Distortion", "md_manual_2_samples.html#tut_distortion", null ],
      [ "Tutorial: Dynamic Cube Map", "md_manual_2_samples.html#dyncubemap", null ],
      [ "Tutorial: EGL Headless", "md_manual_2_samples.html#eglheadless", null ],
      [ "Tutorial: Open VR", "md_manual_2_samples.html#openVR", null ],
      [ "Tutorial: Reconstructing Position From Depth", "md_manual_2_samples.html#reconpfromd", null ],
      [ "Tutorial: Rendering Sky As A Postprocess With A Single Shader", "md_manual_2_samples.html#skypost", null ],
      [ "Tutorial: SMAA", "md_manual_2_samples.html#SMAA", null ],
      [ "Tutorial: SSAO", "md_manual_2_samples.html#ssao", null ],
      [ "Tutorial: Terra Terrain", "md_manual_2_samples.html#terrain", null ],
      [ "Tutorial: Texture Baking", "md_manual_2_samples.html#texturebaking", null ],
      [ "Tutorial: UAV Setup 1 Example", "md_manual_2_samples.html#uav1", null ],
      [ "Tutorial: UAV Setup 2 Example", "md_manual_2_samples.html#uav2", null ]
    ] ],
    [ "Terra System", "md_manual_2_terra_system.html", [
      [ "Vertex-bufferless rendering", "md_manual_2_terra_system.html#autotoc_md86", null ],
      [ "Vertex Trick in Terra", "md_manual_2_terra_system.html#autotoc_md87", null ],
      [ "Terra cells", "md_manual_2_terra_system.html#autotoc_md88", [
        [ "First layer, the 4x4 block", "md_manual_2_terra_system.html#autotoc_md89", null ],
        [ "Outer layers", "md_manual_2_terra_system.html#autotoc_md90", null ]
      ] ],
      [ "Skirts", "md_manual_2_terra_system.html#autotoc_md91", null ],
      [ "Shadows", "md_manual_2_terra_system.html#autotoc_md92", null ],
      [ "Shading", "md_manual_2_terra_system.html#autotoc_md93", null ],
      [ "Why is it not a component?", "md_manual_2_terra_system.html#autotoc_md94", null ]
    ] ],
    [ "AZDO changes (Aproaching Zero Driver Overhead)", "md_manual_2azdo.html", [
      [ "V2 and v1 objects", "md_manual_2azdo.html#V2AndV1Objects", [
        [ "Longevity of the v1 objects and deprecation", "md_manual_2azdo.html#V2AndV1ObjectsV1Longevity", null ]
      ] ],
      [ "Render Queue", "md_manual_2azdo.html#RenderQueue", null ],
      [ "The VaoManager", "md_manual_2azdo.html#VaoMaanger", null ]
    ] ],
    [ "Changes: Objects, Scene & Nodes", "md_manual_2changes.html", [
      [ "Names are now optional", "md_manual_2changes.html#NamesAreNowOptional", null ],
      [ "How to debug MovableObjects' (and Nodes) data", "md_manual_2changes.html#HowToDebugMovableObjectsData", [
        [ "Interpreting ArrayVector3", "md_manual_2changes.html#InterpretingArrayVector3", null ],
        [ "Dummy pointers instead of NULL", "md_manual_2changes.html#DummyPointers", null ]
      ] ],
      [ "Attachment and Visibility", "md_manual_2changes.html#AttachmentAndVisibility", null ],
      [ "Attaching/Detaching is more expensive than hiding", "md_manual_2changes.html#AttachingDetachingIsMoreExpensive", null ],
      [ "All MovableObjects require a SceneNode (Lights & Cameras)", "md_manual_2changes.html#AllMovableObjectsRequireSceneNode", null ],
      [ "Obtaining derived transforms", "md_manual_2changes.html#DerivedTransforms", null ],
      [ "SCENE_STATIC and SCENE_DYNAMIC", "md_manual_2changes.html#SceneStaticSceneDynamic", [
        [ "What means a Node to be SCENE_STATIC", "md_manual_2changes.html#SceneStaticNode", null ],
        [ "What means a Entities (and InstancedEntities) to be SCENE_STATIC", "md_manual_2changes.html#SceneStaticEntities", null ],
        [ "General", "md_manual_2changes.html#SceneStaticGeneral", null ]
      ] ],
      [ "Ogre asserts mCachedAabbOutOfDate or mCachedTransformOutOfDate while in debug mode", "md_manual_2changes.html#AssersionCachedOutOfDate", null ],
      [ "Custom classes derived from Renderable or MovableObject", "md_manual_2changes.html#DerivingRenderable", null ],
      [ "How do I get the vertex information from the new v2 Mesh classes?", "md_manual_2changes.html#V2MeshInformation", null ],
      [ "How do I set the element offsets, vertex buffer's source and index?", "md_manual_2changes.html#V2MeshElementOffset", null ],
      [ "My scene looks too dark or dull!", "md_manual_2changes.html#SceneLooksDarkDull", null ],
      [ "I activated gamma correction, but now my GUI textures look washed out!", "md_manual_2changes.html#GUIWashedOut", null ]
    ] ],
    [ "The Command Buffer", "md_manual_2commandbuffer.html", [
      [ "Adding a command", "md_manual_2commandbuffer.html#CommandBufferAddCommand", null ],
      [ "Structure of a command", "md_manual_2commandbuffer.html#CommandBufferCommandStructure", null ],
      [ "Execution table", "md_manual_2commandbuffer.html#CommandBufferExecutionTable", [
        [ "Hacks and Tricks", "md_manual_2commandbuffer.html#CommandBufferExecutionTableHacks", null ]
      ] ],
      [ "Post-processing the command buffer", "md_manual_2commandbuffer.html#CommandBufferPostProcessing", null ]
    ] ],
    [ "Compositor", "md_manual_2compositor.html", [
      [ "Nodes", "md_manual_2compositor.html#CompositorNodes", [
        [ "Input & output channels and RTTs", "md_manual_2compositor.html#CompositorNodesChannelsAndRTTs", [
          [ "Locally declared textures", "md_manual_2compositor.html#CompositorNodesChannelsAndRTTsLocalTextures", null ],
          [ "It comes from an input channel", "md_manual_2compositor.html#CompositorNodesChannelsAndRTTsFromInputChannel", null ],
          [ "It is a global texture", "md_manual_2compositor.html#CompositorNodesChannelsAndRTTsGlobal", null ],
          [ "Main RenderTarget", "md_manual_2compositor.html#CompositorNodesChannelsAndRTTsMainRenderTarget", null ]
        ] ],
        [ "Target", "md_manual_2compositor.html#CompositorNodesTarget", null ],
        [ "Passes", "md_manual_2compositor.html#CompositorNodesPasses", [
          [ "clear", "md_manual_2compositor.html#CompositorNodesPassesClear", null ],
          [ "generate_mipmaps", "md_manual_2compositor.html#CompositorNodesPassesGenerateMipmaps", null ],
          [ "quad", "md_manual_2compositor.html#CompositorNodesPassesQuad", null ],
          [ "resolve", "md_manual_2compositor.html#CompositorNodesPassesResolve", null ],
          [ "render_scene", "md_manual_2compositor.html#CompositorNodesPassesRenderScene", null ],
          [ "shadows", "md_manual_2compositor.html#CompositorNodesPassesShadows", null ],
          [ "stencil", "md_manual_2compositor.html#CompositorNodesPassesStencil", null ],
          [ "uav_queue", "md_manual_2compositor.html#CompositorNodesPassesUavQueue", [
            [ "Synchronization", "md_manual_2compositor.html#CompositorNodesPassesUavQueueSync", null ]
          ] ],
          [ "compute", "md_manual_2compositor.html#CompositorNodesPassesCompute", null ]
        ] ],
        [ "Textures", "md_manual_2compositor.html#CompositorNodesTextures", [
          [ "MSAA: Explicit vs Implicit resolves", "md_manual_2compositor.html#CompositorNodesTexturesMsaa", [
            [ "Implicit resolves", "md_manual_2compositor.html#CompositorNodesTexturesMsaaImplicit", null ],
            [ "Explicit resolves", "md_manual_2compositor.html#CompositorNodesTexturesMsaaExplicit", null ],
            [ "Resources", "md_manual_2compositor.html#CompositorNodesTexturesMsaaResources", null ]
          ] ],
          [ "Depth Textures", "md_manual_2compositor.html#CompositorNodesTexturesDepth", null ]
        ] ]
      ] ],
      [ "Shadow Nodes", "md_manual_2compositor.html#CompositorShadowNodes", [
        [ "Setting up shadow nodes", "md_manual_2compositor.html#CompositorShadowNodesSetup", null ],
        [ "Example", "md_manual_2compositor.html#CompositorShadowNodesExample", null ],
        [ "Shadow map atlas & Point Lights", "md_manual_2compositor.html#CompositorShadowNodesAtlasAndPointLights", null ],
        [ "Reuse, recalculate and first", "md_manual_2compositor.html#CompositorShadowNodesReuseEtc", null ],
        [ "Shadow mapping setup types", "md_manual_2compositor.html#CompositorShadowNodesTypes", [
          [ "Uniform shadow mapping", "md_manual_2compositor.html#CompositorShadowNodesTypesUniform", null ],
          [ "Focused", "md_manual_2compositor.html#CompositorShadowNodesTypesFocused", null ],
          [ "PSSM / CSM", "md_manual_2compositor.html#CompositorShadowNodesTypesPssm", null ],
          [ "Plane Optimal", "md_manual_2compositor.html#CompositorShadowNodesTypesPlaneOptimal", null ]
        ] ],
        [ "Writing shaders", "md_manual_2compositor.html#CompositorShadowNodesShaders", null ]
      ] ],
      [ "Workspaces", "md_manual_2compositor.html#CompositorWorkspaces", [
        [ "Data dependencies between nodes and circular dependencies", "md_manual_2compositor.html#CompositorWorkspacesDataDependencies", null ]
      ] ],
      [ "Setting up code", "md_manual_2compositor.html#CompositorSetupCode", [
        [ "Initializing the workspace", "md_manual_2compositor.html#CompositorWorkspacesSetupInitialize", null ],
        [ "Simple bootstrap for beginners", "md_manual_2compositor.html#CompositorWorkspacesSetupSimple", null ],
        [ "Advanced C++ users", "md_manual_2compositor.html#CompositorWorkspacesSetupAdvanced", null ]
      ] ],
      [ "Stereo and Split-Screen Rendering", "md_manual_2compositor.html#StereoAndSplitScreenRendering", [
        [ "Per-Workspace offset and scale", "md_manual_2compositor.html#CompositorWorkspacesStereoPerWorkspace", null ],
        [ "Viewport modifier mask", "md_manual_2compositor.html#CompositorWorkspacesStereoViewportMask", null ],
        [ "Execution mask", "md_manual_2compositor.html#CompositorWorkspacesStereoExecutionMask", null ],
        [ "Default values", "md_manual_2compositor.html#CompositorWorkspacesStereoDefaultValues", null ]
      ] ],
      [ "Advanced MSAA", "md_manual_2compositor.html#autotoc_md95", [
        [ "What is MSAA?", "md_manual_2compositor.html#autotoc_md96", [
          [ "Supersampling Antialiasing (SSAA) vs MSAA", "md_manual_2compositor.html#autotoc_md97", null ],
          [ "MSAA approach to the problem", "md_manual_2compositor.html#autotoc_md98", null ]
        ] ],
        [ "Ogre + MSAA with Implicit Resolves", "md_manual_2compositor.html#autotoc_md99", null ],
        [ "Ogre + MSAA with Explicit Resolves", "md_manual_2compositor.html#autotoc_md100", null ]
      ] ]
    ] ],
    [ "HLMS: High Level Material System", "md_manual_2hlms.html", [
      [ "Fundamental changes", "md_manual_2hlms.html#HlmsChanges", [
        [ "Viewports and Scissor tests", "md_manual_2hlms.html#HlmsChangesViewports", null ],
        [ "A lot of data is stored in \"Blocks\"", "md_manual_2hlms.html#HlmsChangesBlocks", null ],
        [ "Materials are still alive", "md_manual_2hlms.html#HlmsChangesMaterialsAlive", null ],
        [ "Fixed Function has been removed", "md_manual_2hlms.html#HlmsChangesFFP", null ]
      ] ],
      [ "The three components", "md_manual_2hlms.html#HlmsComponents", null ],
      [ "Blocks", "md_manual_2hlms.html#HlmsBlocks", [
        [ "Datablocks", "md_manual_2hlms.html#HlmsBlocksDatablocks", null ],
        [ "Macroblocks", "md_manual_2hlms.html#HlmsBlocksMacroblocks", null ],
        [ "Blendblocks", "md_manual_2hlms.html#HlmsBlocksBlendblocks", null ],
        [ "Samplerblocks", "md_manual_2hlms.html#HlmsBlocksSampleblocks", null ]
      ] ],
      [ "Hlms templates", "md_manual_2hlms.html#HlmsTemplates", null ],
      [ "The Hlms preprocessor", "md_manual_2hlms.html#HlmsPreprocessor", [
        [ "Preprocessor syntax", "md_manual_2hlms.html#HlmsPreprocessorSyntax", [
          [ "@property( expression )", "md_manual_2hlms.html#HlmsPreprocessorSyntaxProperty", null ],
          [ "@foreach( count, scopedVar, [start] )", "md_manual_2hlms.html#HlmsPreprocessorSyntaxForeach", null ],
          [ "@counter( variable )", "md_manual_2hlms.html#HlmsPreprocessorSyntaxCounter", null ],
          [ "@value( variable )", "md_manual_2hlms.html#HlmsPreprocessorSyntaxValue", null ],
          [ "@set add sub mul div mod min max", "md_manual_2hlms.html#HlmsPreprocessorSyntaxSetEtc", null ],
          [ "@piece( nameOfPiece )", "md_manual_2hlms.html#HlmsPreprocessorSyntaxPiece", null ],
          [ "@insertpiece( nameOfPiece )", "md_manual_2hlms.html#HlmsPreprocessorSyntaxInsertpiece", null ],
          [ "@undefpiece( nameOfPiece )", "md_manual_2hlms.html#HlmsPreprocessorSyntaxUndefpiece", null ],
          [ "@pset padd psub pmul pdiv pmod pmin pmax", "md_manual_2hlms.html#HlmsPreprocessorSyntaxPsetEtc", null ]
        ] ]
      ] ],
      [ "Creation of shaders", "md_manual_2hlms.html#HlmsCreationOfShaders", [
        [ "C++ interaction with shader templates", "md_manual_2hlms.html#HlmsCreationOfShadersCpp", null ],
        [ "Common conventions", "md_manual_2hlms.html#HlmsCreationOfShadersConventions", null ],
        [ "Hot reloading", "md_manual_2hlms.html#HlmsCreationOfShadersHotReloading", null ],
        [ "Disabling a stage", "md_manual_2hlms.html#HlmsCreationOfShadersDisablingStage", null ],
        [ "Customizing an existing implementation", "md_manual_2hlms.html#HlmsCreationOfShadersCustomizing", null ]
      ] ],
      [ "Run-time rendering", "md_manual_2hlms.html#HlmsRuntimeRendering", [
        [ "preparePassHash", "md_manual_2hlms.html#HlmsRuntimeRenderingPreparePassHash", null ],
        [ "fillBuffersFor", "md_manual_2hlms.html#HlmsRuntimeRenderingFillBuffersFor", null ]
      ] ],
      [ "Using the HLMS implementations", "md_manual_2hlms.html#UsingHlmsImplementation", [
        [ "Initialization", "md_manual_2hlms.html#UsingHlmsImplementationInitialization", null ],
        [ "Deinitialization", "md_manual_2hlms.html#UsingHlmsImplementationDeinitilization", null ],
        [ "Creating a datablock", "md_manual_2hlms.html#UsingHlmsImplementationCreatingDatablock", null ]
      ] ],
      [ "The Hlms Texture Manager", "md_manual_2hlms.html#HlmsTextureManager", [
        [ "Automatic batching", "md_manual_2hlms.html#HlmsTextureManagerAutomaticBatching", [
          [ "Texture types", "md_manual_2hlms.html#HlmsTextureManagerAutomaticBatchingTextureTypes", null ],
          [ "Automatic parameters", "md_manual_2hlms.html#HlmsTextureManagerAutomaticBatchingAutoParams", null ],
          [ "Loading a texture twice (i.e. with a different format) via aliasing", "md_manual_2hlms.html#HlmsTextureManagerAutomaticBatchingLoadingTwice", null ]
        ] ],
        [ "Manual: Texture packs", "md_manual_2hlms.html#HlmsTextureManagerTexturePacks", null ],
        [ "Watching out for memory consumption", "md_manual_2hlms.html#HlmsTextureManagerWatchOutMemory", [
          [ "Additional memory considerations", "md_manual_2hlms.html#HlmsTextureManagerWatchOutMemoryConsiderations", null ],
          [ "setWorkerThreadMinimumBudget warning", "md_manual_2hlms.html#setWorkerThreadMinimumBudget", null ]
        ] ]
      ] ],
      [ "Troubleshooting", "md_manual_2hlms.html#HlmsTroubleshooting", [
        [ "My shadows don't show up or are very glitchy", "md_manual_2hlms.html#HlmsTroubleshootingShadow", null ]
      ] ],
      [ "Precision / Quality", "md_manual_2hlms.html#autotoc_md101", null ]
    ] ],
    [ "Instancing", "md_manual_2instancing.html", [
      [ "What is instancing?", "md_manual_2instancing.html#WhatIsInstancing", null ],
      [ "Instancing 101", "md_manual_2instancing.html#Instancing101", [
        [ "Instances per batch", "md_manual_2instancing.html#InstancesPerBatch", null ]
      ] ],
      [ "Techniques", "md_manual_2instancing.html#InstancingTechniques", [
        [ "ShaderBased", "md_manual_2instancing.html#InstancingTechniquesShaderBased", null ],
        [ "VTF (Software)", "md_manual_2instancing.html#InstancingTechniquesVTFSoftware", null ],
        [ "HW VTF", "md_manual_2instancing.html#InstancingTechniquesHWVTF", [
          [ "HW VTF LUT", "md_manual_2instancing.html#InstancingTechniquesHW", null ]
        ] ],
        [ "HW Basic", "md_manual_2instancing.html#InstancingTechniquesHWBasic", null ]
      ] ],
      [ "Custom parameters", "md_manual_2instancing.html#InstancingCustomParameters", null ],
      [ "Supporting multiple submeshes", "md_manual_2instancing.html#InstancingMultipleSubmeshes", null ],
      [ "Defragmenting batches", "md_manual_2instancing.html#InstancingDefragmentingBatches", [
        [ "What is batch fragmentation?", "md_manual_2instancing.html#InstancingDefragmentingBatchesIntro", null ],
        [ "Prevention: Avoiding fragmentation", "md_manual_2instancing.html#InstancingDefragmentingBatchesPrevention", null ],
        [ "Cure: Defragmenting on the fly", "md_manual_2instancing.html#InstancingDefragmentingBatchesOnTheFly", null ]
      ] ],
      [ "Troubleshooting", "md_manual_2instancing.html#InstancingTroubleshooting", null ]
    ] ],
    [ "Manual", "md_manual_2manual.html", null ],
    [ "Performance Hints", "md_manual_2performance.html", null ],
    [ "Technical Overview", "md_manual_2tech.html", [
      [ "Overview", "md_manual_2tech.html#TechnicalOverviewOverview", [
        [ "SIMD Coherence", "md_manual_2tech.html#SIMDCoherence", null ]
      ] ],
      [ "Memory Managers usage patterns", "md_manual_2tech.html#MemoryManagerUsagePatterns", [
        [ "Cleanups", "md_manual_2tech.html#MemoryManagerCleanups", null ]
      ] ],
      [ "Memory preallocation", "md_manual_2tech.html#MemoryPreallocation", null ],
      [ "Configuring memory managers", "md_manual_2tech.html#ConfiguringMemoryManagers", null ],
      [ "Where is RenderTarget::update? Why do I get errors in Viewport?", "md_manual_2tech.html#RenderTargetUpdate", null ],
      [ "Porting from 1.x to 2.0", "md_manual_2tech.html#PortingV1ToV2", null ],
      [ "Porting from 2.0 to 2.1", "md_manual_2tech.html#PortingV20ToV21", null ]
    ] ],
    [ "Threading", "md_manual_2threading.html", [
      [ "Initializing", "md_manual_2threading.html#ThreadingInitializing", [
        [ "Ideal number of threads", "md_manual_2threading.html#ThreadingInitializingNumberOfThreads", null ]
      ] ],
      [ "What tasks are threaded in Ogre", "md_manual_2threading.html#ThreadingInOgre", null ],
      [ "Using Ogre's threading system for custom tasks", "md_manual_2threading.html#ThreadingCustomTasks", null ],
      [ "Thread safety of SceneNodes", "md_manual_2threading.html#ThreadSafetySceneNodes", null ]
    ] ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", null ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", "namespacemembers_type" ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", "namespacemembers_eval" ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Properties", "functions_prop.html", null ],
        [ "Related Symbols", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Enumerations", "globals_enum.html", null ],
        [ "Enumerator", "globals_eval.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"_android_2_ogre_config_dialog_imp_8h.html",
"_ogre_compositor_common_8h.html#a567f111ecc371fa9ab8b4bb8216d35ce",
"_ogre_forward3_d_8h.html",
"_ogre_hlms_disk_cache_8h.html",
"_ogre_overlay_element_8h.html",
"_ogre_resource_group_manager_8h.html",
"_ogre_thread_defines_none_8h.html#a30df0c1739013ab3cd4a816e61244146",
"_ogre_volume_mesh_builder_8h.html#a89f21806decd3e6441190d071eed6a5c",
"class_ogre_1_1_a_p_k_file_system_archive.html#a3bf1d801c67ee89e48d8a3299cfc0a7e",
"class_ogre_1_1_area_emitter.html#a7063e13cbae9dd5a667f2a05d48fdf43",
"class_ogre_1_1_array_quaternion.html#a3d92191c55ff3ef7341fd6e25f7d6f33",
"class_ogre_1_1_array_vector3.html#a96be5dec2fce6a3afd7ce9d369776a87",
"class_ogre_1_1_auto_param_data_source.html#a569769fde378979b02871e77d3a9e751",
"class_ogre_1_1_bone.html#add1d0fd56a7e5122fa434b2663d1e34d",
"class_ogre_1_1_camera.html#a2876d0b5fd2f13af5a39ace745f6d039",
"class_ogre_1_1_cocoa_window.html#ad03ab73a42ea17f16b745c58e30c3fba",
"class_ogre_1_1_colour_interpolator_affector.html#a7f3dfd3656eb976353b98ed34319d60a",
"class_ogre_1_1_compositor_manager2.html#a72ab6eb0badc4511108a2dd66544b051",
"class_ogre_1_1_compositor_pass_quad_def.html#a9031fd84b590ef668d82128b1d77a407",
"class_ogre_1_1_compositor_workspace_def.html#a1120035563ecb516f5fb38507ec0d2ae",
"class_ogre_1_1_create_gpu_shared_parameters_script_compiler_event.html#a1b7cbae6225a03537eb8d86019019e68",
"class_ogre_1_1_d3_d11_driver_list.html#a4edaed0348fa165c4c98044cf5612ac6",
"class_ogre_1_1_d3_d11_read_only_buffer_packed.html#a7c94e84a99b05fe67216ca7a8c8ea3d2",
"class_ogre_1_1_d3_d11_render_system.html#aef0108b035ba4efa9a5ba004966c4a91",
"class_ogre_1_1_d3_d11_vao_manager.html#a6398691f6a128e2b37f4cd27a27aab01",
"class_ogre_1_1_default_plane_bounded_volume_list_scene_query.html#a2d902fd16b0ca8e206797bc0bc7b0fbc",
"class_ogre_1_1_direction_randomiser_affector.html#a976346c87e3f4bcfb82b7b98658c91eb",
"class_ogre_1_1_e_t_c_codec.html#a22b13f3e681123a51cacc75b780f7813",
"class_ogre_1_1_emitter_commands_1_1_cmd_t_t_l.html#a6cdad40bb6dda6dd62a04dbc01c6555a",
"class_ogre_1_1_file_system_archive.html#a43f896ab1198e07fc1d7c5a92b03a770",
"class_ogre_1_1_frustum.html#ae40e8a56b81c9c5ab90fb7c9485c3303",
"class_ogre_1_1_g_l3_plus_render_system.html#a03afa8241d81ff8fb57d539e0d7a72a1",
"class_ogre_1_1_g_l3_plus_render_system.html#af771bec6b84d075e93359b3974a993d4",
"class_ogre_1_1_g_l3_plus_vao_manager.html#a69a0c46761e18241b6551684c49d765b",
"class_ogre_1_1_g_l_e_s2_gpu_program_manager.html#a1f1226810d4206bdcdc4c8ff6befa568",
"class_ogre_1_1_g_l_e_s2_render_system.html#a9e85e1cc3f1c220959768593e0017f40",
"class_ogre_1_1_g_l_e_s2_vao_manager.html#ae0256788b8af07b3e5c33f2fac7a85ea",
"class_ogre_1_1_g_l_s_l_program.html#a5648366457c035e298fa254e423fc684",
"class_ogre_1_1_g_l_x_utils.html#a1dfc8970a09e3f1ecabd39b7bdf92098",
"class_ogre_1_1_gpu_program_parameters.html#a123cf81ee91123f9b978de694e9e3e3b",
"class_ogre_1_1_gpu_program_parameters.html#ade8223cfd36836dde883ee33329415cc",
"class_ogre_1_1_high_level_gpu_program_1_1_cmd_use_hlms_parser.html#a01d21d968931dc0678a6e178c04348eb",
"class_ogre_1_1_hlms_json.html#abcdd0f78e0261aa00e410f7187582bd6",
"class_ogre_1_1_indirect_buffer_packed.html#a1f0329aec3eee6adbc5584c01ec568a0",
"class_ogre_1_1_light.html#a5b1b01956560c97f69db206bd2d3e2f4",
"class_ogre_1_1_lod_input_provider_mesh.html#a46fae4fac33c9e5f99de77d729454bdc",
"class_ogre_1_1_lw_string.html#a18d45f14de91a8322e891d5b7a1f7ec5",
"class_ogre_1_1_material.html#a96acec92905018c3ceaffabbf7d051e7",
"class_ogre_1_1_mathlib_c.html#aabc098130431f710d2ffaf8c58fd6872",
"class_ogre_1_1_mesh_lod_generator.html#af3ece84d474e2955b8806c9910d42a3a",
"class_ogre_1_1_metal_program.html",
"class_ogre_1_1_metal_render_system.html#ab84b4aea80c1d3c2490d20250131c165",
"class_ogre_1_1_metal_vao_manager.html#abfc6c7852e8a6465a8b68b1264d56f0a",
"class_ogre_1_1_movable_plane.html#a2bf440328cb0e625a2ca550df77d0315",
"class_ogre_1_1_n_u_l_l_render_system.html#adde2210bc3416f10fdc2f20ea86ccc54",
"class_ogre_1_1_node.html#aa6dcbdb546c8efcf780ed27f01e9d714",
"class_ogre_1_1_object_data_array_memory_manager.html#aefcf632ca4631c7dcff0adf2d0e3328f",
"class_ogre_1_1_page_strategy.html",
"class_ogre_1_1_particle_system.html#a4368133a10063f002ee73f7b74c4c831",
"class_ogre_1_1_pass.html#a96fc0ad8f9fbfb3478b3b3a0c8540ee6",
"class_ogre_1_1_platform_information.html#a5bd78529d3d9287be10319d1169dff0c",
"class_ogre_1_1_quaternion.html#a2fd01476d5136662031156707b2b3879",
"class_ogre_1_1_render_object_listener.html",
"class_ogre_1_1_render_system.html#ae869e9f5ca12313ee49fa0743dbcf1f3",
"class_ogre_1_1_renderable.html#af85238872bb197dea36acf21a578ecec",
"class_ogre_1_1_ring_emitter.html#a6bec37d0215d00d7c21cf9cd3ecb7e74",
"class_ogre_1_1_s_d_l_g_l_support.html#a913d7bf7d6134fb76952cb12cb2db9da",
"class_ogre_1_1_scene_manager.html#a1f59ebdfaadbe33f713d754737041654",
"class_ogre_1_1_scene_manager.html#a8aca5477f30dd55321a101f25c6a5ee2",
"class_ogre_1_1_scene_manager.html#affa7a4596f373629fcb78519dd66f1ff",
"class_ogre_1_1_script_compiler_manager.html#a5dc660484560a9f099c8bd80f947e504",
"class_ogre_1_1_skeleton_def.html#a7aa5283bc780ef8c028daf9631d7b29b",
"class_ogre_1_1_small_vector_template_common.html#af5c75e8908b1e44ae53d8c12d784ed96",
"class_ogre_1_1_stream_serialiser.html#ad453d94c2cc1ebd6a13d2571ee8d5456",
"class_ogre_1_1_technique.html#af5e13d58c70bbeeb1708e1479185a959",
"class_ogre_1_1_texture_gpu_listener.html#afe11bd546cf7315f4526488e7078cc7da058c0eecb9f3f188fccc4d0018bf337b",
"class_ogre_1_1_thread_local_ptr.html#ac0b5485e165e19d58ae68dc53968bd11",
"class_ogre_1_1_vao_manager.html#aaedd48d2dd6f21e37fa069f92865eb45",
"class_ogre_1_1_vertex_buffer_download_helper.html#a4e6163dd849eec2b2eeca58abecddc91",
"class_ogre_1_1_volume_1_1_grid_source.html#a061baf427896c9a1fcf8152d03d4e8bd",
"class_ogre_1_1_vulkan_android_window.html#a9bcb6b72c85fa8e2120f4ef1416cad22",
"class_ogre_1_1_vulkan_dynamic_buffer.html#aecfa8db15ba3a710b7502ef0779a1e6c",
"class_ogre_1_1_vulkan_read_only_buffer_packed.html#a3ea2d04ee0a348f27ba30ce26c540206",
"class_ogre_1_1_vulkan_render_system.html#ad31de78889d42552467cdf2ee49cada3",
"class_ogre_1_1_vulkan_texture_gpu_window.html#a73d1e2dd9cc9bffa9338d038abc7248c",
"class_ogre_1_1_vulkan_window_swap_chain_based.html#aadf0d4f9a81f5217c467f3306941d973a4ff72b5bd88dbf089a83d957e47aab24",
"class_ogre_1_1_window_event_listener.html#a74e6c1f1ea095e2f0065fa027f38f75a",
"class_ogre_1_1v1_1_1_animation.html#a7a781905f03b04bd2b8990658f44b1be",
"class_ogre_1_1v1_1_1_billboard_particle_renderer_1_1_cmd_common_up_vector.html",
"class_ogre_1_1v1_1_1_default_hardware_buffer_manager.html#a2410979016bed57179e4654b1f4de6ea",
"class_ogre_1_1v1_1_1_g_l3_plus_default_hardware_vertex_buffer.html#acfd317b366c264d240859eeec4381fec",
"class_ogre_1_1v1_1_1_g_l_e_s2_hardware_vertex_buffer.html#a0081cf8244a6608de7d3a7b077251004",
"class_ogre_1_1v1_1_1_manual_object.html#a8e742bdfaf66ea0ee4870137a966da4b",
"class_ogre_1_1v1_1_1_mesh_serializer_impl__v1__3.html#affc5ea131e0c77869ff2ee9e4328774a",
"class_ogre_1_1v1_1_1_old_node.html#aa4cc736c501a8895a6ea7b01a2290ab4",
"class_ogre_1_1v1_1_1_overlay_element.html#aad50697686b0d35940e243179003814a",
"class_ogre_1_1v1_1_1_render_operation.html#a6ae83747130ab5c4612e4086745d8b4b",
"class_ogre_1_1v1_1_1_tag_point.html#a878a033f30f2b449d2f0c91d63be77ff",
"class_ogre_1_1v1_1_1_vertex_pose_key_frame.html#ac9d3901e82798c507f1581bbfcecc1f1",
"functions_e.html",
"group___effects.html#ggab1bb9aa322106f045a06196ba0d7c2a7ab067ffa4c1b52d57b450d0eaccf07c1a",
"group___general.html#gga30d5439896c2a2362024ec689b1e181ca33901c54549de0ac190840cabbab5aa6",
"group___general.html#gga30d5439896c2a2362024ec689b1e181cad4d33d4fca9159010241c9685d971524",
"group___image.html#gaaf32324ffa2f4902b88b9247a78d5559",
"group___materials.html#gga41c76d419d6c9c205a6c1d3b42872213affe55d98f2cd26e9451af52dbc74f7b2",
"group___paging.html",
"group___resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4ae8e03368ae266d871c8bee40fc9b2884",
"md_manual_2_ivct_algorithm.html#IVCT_Step3",
"md_manual_2hlms.html#HlmsPreprocessorSyntaxInsertpiece",
"namespace_ogre.html#aa03128706f8570ed424eb6bbe665ca05",
"namespace_ogre_1_1_resource_layout.html#a7ce11be54143fb01a34d6b7529ba3dc7af006a165c772ccf3c8d40a7a1dfaf676",
"struct_ogre_1_1_abi_cookie.html",
"struct_ogre_1_1_cb_textures.html#a4d6e3eacbcc28c1e9a37bcd38766838f",
"struct_ogre_1_1_descriptor_set_texture2.html#a4d69463988b7b5b64414c43a3aead6a4",
"struct_ogre_1_1_g_l_e_s2_hlms_samplerblock.html#aeb2763c296c60d144340ec9686d2ec36",
"struct_ogre_1_1_hlms_bits.html#a3afd85d87bf34484a15ff47132b52ae5",
"struct_ogre_1_1_lod_config.html#a197e4bbdc17c5645e9775d0ea1863c4d",
"struct_ogre_1_1_lod_work_queue_request.html#a1dd4c036f38b55a48ad5178e892d164d",
"struct_ogre_1_1_profiled_edge.html#a77b8a7e4cfbf39504aa8b806f1cec2ed",
"struct_ogre_1_1_skeleton_anim_manager.html#a9427616b2e6665921774f1b11c00531e",
"struct_ogre_1_1_transform.html#aa9176a5d292f0ff160fb917b9af668d6",
"struct_ogre_1_1_volume_1_1_chunk_parameters.html#aeefacd1d618206fcb432ed947b58e06e",
"struct_ogre_1_1_vulkan_external_device.html#acb15a207049e2b5818c320ecbd5c92f8",
"struct_ogre_1_1is_pod_like_3_01unsigned_01char_01_4.html#a7b6f49cfe76b8762cef75f6032fa66a2"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';